'Force hyphenation to compensate for V10.397 bug
'DiscHyphThang.csc
'
'Written by Abe Hendin. December 2002.
'
'Purpose: To force hyphenation then insert a discretionary hyphen, if needed, 
'in a word that should be hyphenated by Ventura's hyphenation engine, but is 
'not for some reason. It can happen anywhere in a paragraph; I've seen it most 
'frequently in the first word of the last line. The reason for inserting a 
'discretionary hyphen is so that the word continues to be hyphenated the next 
'time you open the pub after closing. With external text files I've often found 
'that the correct hyphenation is not retained even after forcing it to 
'hyphenate (by deleting then retyping the preceding space, for example).
'
'Usage: Plant the cursor anywhere in a line whose first word is not hyphenating 
'when it should, then run this script. It will try to force hyphenation by 
'deleting then replacing the space before the first word of the line, then 
'insert a discretionary hyphen where appropriate only if the word actually 
'hyphenated. I've got this attached to CTRL-z here...

WITHOBJECT "CorelVentura.Automation.10"
	DIM LNBefore AS LONG, LNAfter AS LONG
	
	.TextStartOfLine 'move cursor to beginning of word
	.TextLineInfoGet .LineNumber = LNBefore 'get starting line number
	.TypeText CHR(8) + " " 'replace space to force hyphenation
	.TextLineInfoGet .LineNumber = LNAfter 'get line number after
	
	IF LNAfter < LNBefore THEN 'force hyph succeeded; insert discretionary hyphen
		.TextEndOfLine FALSE
		.InsertSymbol , 22
	ENDIF
END WITHOBJECT
